---
title: CSSTransformValue.is2D
slug: Web/API/CSSTransformValue/is2D
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
  - is2D
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The read-only <strong><code>is2D</code></strong> property of the {{domxref("CSSTransformValue")}} interface returns whether the transform is 2D or 3D.</p>

<p class="summary">In the case of the <code>CSSTransformValue</code> this property returns true unless any of the individual functions return false for <code>Is2D</code>, in which case it returns false.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>is2D</var> = CSSTransformValue.is2D;</pre>

<h3 id="Return_value">Return value</h3>

<p>A boolean. True indicates that the transform is a 2D transform, false that it is a 3D transform.</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformvalue-is2d','is2D')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.is2D")}}</p>
